package com.wsm.common.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.messaging.simp.config.MessageBrokerRegistry;
import org.springframework.web.socket.config.annotation.AbstractWebSocketMessageBrokerConfigurer;
import org.springframework.web.socket.config.annotation.EnableWebSocketMessageBroker;
import org.springframework.web.socket.config.annotation.StompEndpointRegistry;

@Configuration
@EnableWebSocketMessageBroker
public class WebSocketConfig extends AbstractWebSocketMessageBrokerConfigurer {
    private Logger log = LoggerFactory.getLogger(getClass());

    @Override
    public void registerStompEndpoints(StompEndpointRegistry stompEndpointRegistry) {
        log.info("run registerStompEndpoints");
        stompEndpointRegistry.addEndpoint("/webSocketServer")
                .setAllowedOrigins("*") //解决跨域问题
                .withSockJS();
    }

    @Override
    public void configureMessageBroker(MessageBrokerRegistry registry) {
        log.info("run configureMessageBroker");
        registry.enableSimpleBroker("/topic");
    }
}

